org.apache.velocity.tools.view.jsp.jspimpl

## Class VelocityToolsJspException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.velocity.tools.view.jsp.jspimpl.VelocityToolsJspException

All Implemented Interfaces:
  Serializable

    public class VelocityToolsJspException
    extends RuntimeException

An exception thrown when something bad happens in JSP support for Velocity.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VelocityToolsJspException()` Constructor.
`VelocityToolsJspException(String message)` Constructor.
`VelocityToolsJspException(String message, Throwable cause)` Constructor.
`VelocityToolsJspException(Throwable cause)` Constructor.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VelocityToolsJspException

    public VelocityToolsJspException()

Constructor.

#### VelocityToolsJspException

    public VelocityToolsJspException(String message)

Constructor.

Parameters:
  `message` - The message of the exception.

#### VelocityToolsJspException

    public VelocityToolsJspException(Throwable cause)

Constructor.

Parameters:
  `cause` - The cause.

#### VelocityToolsJspException

    public VelocityToolsJspException(String message,
                                     Throwable cause)

Constructor.

Parameters:
  `message` - The message of the exception.
  `cause` - The cause.